using System;
using Newtonsoft.Json;

namespace Magify.Model
{
    internal class FirebaseMappingEvent : IAnalyticsEvent
    {
        [JsonProperty("app_instance_id")]
        public string AppInstanceId { get; init; }

        [JsonProperty("timestamp")]
        public double Timestamp { get; init; } = TimestampExtensions.UtcNowTimestamp;
    }
}