﻿using System;
using System.Collections;
using System.Collections.Generic;
using JetBrains.Annotations;
using UniRx;

namespace Magify
{
    internal class StoredAppFeaturesStub : IStoredAppFeaturesCollection
    {
        [NotNull]
        public IObservable<Unit> OnChanged { get; } = new Subject<Unit>();

        public bool Contains(string featureName)
        {
            return false;
        }

        public bool TryGet(string featureName, out StoredAppFeature feature)
        {
            feature = default;
            return false;
        }

        public IEnumerator<StoredAppFeature> GetEnumerator()
        {
            yield break;
        }

        IEnumerator IEnumerable.GetEnumerator()
        {
            return GetEnumerator();
        }
    }
}